petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecSetLocalToGlobalMapping

Sets a local numbering to global numbering used by the routine VecSetValuesLocal() to allow users to insert vector entries using a local (per-processor) numbering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetLocalToGlobalMapping(Vec x,ISLocalToGlobalMapping mapping)

Logically Collective on Vec

### Input Parameters

| x | - vector
| mapping | - mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS()

### Notes

All vectors obtained with VecDuplicate() from this vector inherit the same mapping.

seealso: VecAssemblyBegin(), VecAssemblyEnd(), VecSetValues(), VecSetValuesLocal(), VecSetLocalToGlobalMapping(), VecSetValuesBlockedLocal()

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/examples/tutorials/ex8.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages